Get a data view
Server:
https://{kibana_url}
- GET /api/data_views/data_view/{viewId}
- GET /s/{space_id}/api/data_views/data_view/{viewId}
Refer to Spaces for more information.
Path Parameters
-
viewIdstringrequired -
An identifier for the data view.
Responses
Indicates a successful call.
-
data_viewobject -
allowNoIndexboolean -
Allows the data view saved object to exist before the data is available.
-
fieldAttrsmap string to object -
<string> -
countinteger -
Popularity count for the field.
-
customDescriptionstring · max: 300 -
Custom description for the field.
-
customLabelstring -
Custom label for the field.
-
fieldFormatsobject -
A map of field formats by field name.
-
fieldsobject -
idstring -
namestring -
The data view name.
-
namespacesobject -
An array of space identifiers for sharing the data view between multiple spaces.
-
runtimeFieldMapmap string to object -
sourceFiltersobject -
The array of field names you want to filter out in Discover.
-
valuestringrequired -
timeFieldNamestring -
The timestamp field name, which you use for time-based data views.
-
titlestring -
Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (
*). -
typeMetanullable -
When you use rollup indices, contains the field list for the rollup data view API endpoints.
-
versionstring
Object is not found.
-
error -
Values:
Not Found -
messagestring -
statusCode -
Values:
404